//===================================================================
// asb3000w.h
//-------------------------------------------------------------------
//
// ASB-3000 Wrapper Header
//
//===================================================================
#ifndef __INC_ASB3000W_H__
#define __INC_ASB3000W_H__

#include "asb3000.h"

#ifdef __cplusplus
extern "C"{
#endif


#define ASB3000_DLL_NAME		_T( "asb3000.dll" )		// DLLt@C
#define ASB3000_ERR_WRAPDLL		( (DWORD)-1 )			// bp[֐G[


// DLL[h
BOOL	Asb3000wDllOpen( void );
// DLLN[Y
BOOL	Asb3000wDllClose( void );
// o[W擾
BOOL	Asb3000wGetVersion( PDWORD pdwDrvVer, PDWORD pdwDllVer );
// foCX̌
BOOL	Asb3000wCreate( PWORD pwDeviceNo, HWND hWnd, UINT uWMBase );
// foCX̊J
BOOL	Asb3000wClose( WORD wDeviceNo );
// foCX擾
BOOL	Asb3000wGetDevInfo( WORD wDeviceNo, TDEVINFO *pDevInfo );
// TCY擾
BOOL	Asb3000wGetMemSize( WORD wDeviceNo, PDWORD pdwMemSize );
// TvO샂[h̐ݒ
BOOL	Asb3000wSetMode( WORD wDeviceNo, TSETMODE *pSetMode );
// TvOJn
BOOL	Asb3000wStartSampling( WORD wDeviceNo, DWORD dwInitArg );
// TvO~
BOOL	Asb3000wStopSampling( WORD wDeviceNo );
// TvOXe[^X擾
BOOL	Asb3000wGetStatus( WORD wDeviceNo, PDWORD pdwStatus, PDWORD pdwNumData, PVOID pvInitArg );
// TvOf[^擾
BOOL	Asb3000wGetData( WORD wDeviceNo, DWORD dwNumData, PDWORD pdwData );
// G[R[h
DWORD	Asb3000wGetLastError( WORD wDeviceNo );

#ifdef __cplusplus
}
#endif

#endif // __INC_ASB3000W_H__
